Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1282405 - Backword-incompatible update
Summary: Backword-incompatible update
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libqtxdg
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lubomir Rintel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: libqtxdg-qt4
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-11-16 10:20 UTC by Eugene A. Pivnev
Modified: 2016-02-09 23:45 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-02-09 23:45:22 UTC
Type: Bug


Attachments (Terms of Use)

Description Eugene A. Pivnev 2015-11-16 10:20:06 UTC
Description of problem:

libqtxdg-1.3.0 replaces 1.2.0 but it brackes packages that require libqtxdg-qt4 (e.g. razorqt).
Herewith 1.2.0 (qt4) and 1.3.0 (qt5) can be installed together.

I propose return libqtxdg back to 1.2.0 and create something like libqt5xdg-1.3.0.

Comment 1 Rex Dieter 2015-11-22 15:44:40 UTC
Agreed, looks like a new libqtxdg-qt4-1.2.0 pkg needs to be created, to avoid broken dependencies.

Comment 2 Rex Dieter 2015-11-22 19:21:59 UTC
Here's a quick-n-dirty one I whipped up based on the last 1.2.0 builds,

https://rdieter.fedorapeople.org/rpms/libqtxdg/

I can submit for review soon (no one beats me to it), provided one of you would be interested in helping to review it.

Comment 3 Eugene A. Pivnev 2015-11-22 20:50:08 UTC
(In reply to Rex Dieter from comment #2)
> Here's a quick-n-dirty one I whipped up based on the last 1.2.0 builds,
> 
> https://rdieter.fedorapeople.org/rpms/libqtxdg/
> 
> I can submit for review soon (no one beats me to it), provided one of you
> would be interested in helping to review it.

I can review.

Comment 4 Rex Dieter 2015-11-28 23:50:17 UTC
OK, submitted
https://bugzilla.redhat.com/show_bug.cgi?id=1286395
for review

Comment 5 Rex Dieter 2015-12-07 19:28:02 UTC
ping, see bug #1286395, review has been waiting now for over a week

Comment 6 Rex Dieter 2016-02-09 23:45:22 UTC
Compatible libqtxdg-qt4 is now available in updates, closing.


Note You need to log in before you can comment on or make changes to this bug.